package com.changda.gjjapp.common.controller;
import java.util.*;
import javax.servlet.http.HttpServletRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import com.changda.cd4j.foundation.core.dto.ResultDto;
import com.changda.cd4j.foundation.core.utils.FastJsonUtil;
import com.changda.cd4j.foundation.core.web.BaseController;
import com.changda.gjjapp.common.entity.GolbalDto;
import com.changda.gjjapp.common.service.IB_ZTService;
import com.changda.gjjapp.common.service.IGolbalService;
import com.changda.gjjapp.db.entity.B_ZT;
@Controller
@RequestMapping(value="/common/test")
public class Common_TestController extends BaseController
{

 
 @Autowired
 private IGolbalService golbalService;
 
 @RequestMapping("getGolbalVar")
 @ResponseBody
 public ResultDto getGolbalVar(HttpServletRequest request)
 {
  ResultDto resultDto = new ResultDto();
  String paramdata = request.getParameter("params");
  GolbalDto data = golbalService.getConstant();
  resultDto.setData(data);
  resultDto.setSuccess(true);  
  return resultDto;
 }
 
}

